Generate vendor link for lot number
Generates a vendor payment link for a specific bill lot number. This allows you to pay all bills with the same lot number for a vendor with a single payment link.
Authentication
requestTokenstring
API Key authentication via header
Path parameters
lotNumber
Lot number of the bills to pay. All bills with this lot number will be included.
Query parameters
entryPoint
The entity’s entrypoint identifier. Learn more
vendorNumber
The vendor number for the vendor being paid with this payment link.
mail2
List of recipient email addresses. When there is more than one, separate them by a semicolon (;).
amountFixed
Indicates whether customer can modify the payment amount. A value of true means the amount isn’t modifiable, a value false means the payor can modify the amount to pay.
Request
This endpoint expects an object.
contactUs
ContactUs section of payment link page.
logo
Logo section of payment link page.
messageBeforePaying
Message section of payment link page.
notes
Notes section of payment link page.
page
Page header section of payment link page.
paymentButton
Payment button section of payment link page.
paymentMethods
Payment methods section of payment link page. Use this to configure which payout methods (ACH, vCard, check) are offered to the vendor.
review
Review section of payment link page.
bills
Bills section of payment link page.
settings
Settings section of payment link page.
Response
Success
isSuccess
Boolean indicating whether the operation was successful. A true value indicates success. A false value indicates failure.
responseText
Response text for operation: ‘Success’ or ‘Declined’.
responseData
If isSuccess = true, this contains the payment link identifier. If isSuccess = false, this contains the reason of the error.